Subject: bug#9873: closed (Re: bug#9873: 24.0.90; dired - window changes size when trying to delete more than one file)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Oct 2012 19:54:02 +0000

Your bug report

#9873: 24.0.90; dired - window changes size when trying to delete more than one file

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9873: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9873
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9873: 24.0.90; dired - window changes size when trying to delete more than one file
From: Juri Linkov <[email-masked]>
To: martin rudalics <[email-masked]>
Cc: [email-masked]
Date: Thu, 04 Oct 2012 22:40:10 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>> Martin, what about bug#9873, can it be closed now?
>
> Hopefully.

Bug closed.

> BTW, do we still have to fix proced.el?
> And what do we intend to do about these:
>
>> `Electric-pop-up-window', `ibuffer-confirm-operation-on',
>> `disabled-command-function', `proced-send-signal',
>> `fancy-startup-screen', `display-time-world', `widget-choose'.

Eventually they should be fixed as well, but let's do this
in a separate bug report.

Subject: 24.0.90; dired - window changes size when trying to delete more than one file
From: Christoph Scholtes <[email-masked]>
To: [email-masked]
Date: Tue, 25 Oct 2011 20:03:53 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q
C-x d <ret>
C-x 2
select at least to files for deletion with `d'
press x

The top window now shows the *Deletions* buffer at the bottom, but the
size of the top dired buffer shrunk by about a third.

This only happens when the frame is split with C-x 2 to show two windows.

In GNU Emacs 24.0.90.1 (i386-mingw-nt6.1.7601)
 of 2011-10-24 on MARVIN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
configured using `configure --with-gcc (4.6) --no-opt --cflags -I"D:/devel/emacs/libs/libXpm-3.5.8/include" -I"D:/devel/emacs/libs/libXpm-3.5.8/src" -I"D:/devel/emacs/libs/libpng-dev_1.4.3-1/include" -I"D:/devel/emacs/libs/zlib-dev_1.2.5-2/include" -I"D:/devel/emacs/libs/giflib-4.1.4-1/include" -I"D:/devel/emacs/libs/jpeg-6b-4/include" -I"D:/devel/emacs/libs/tiff-3.8.2-1/include" -I"D:/devel/emacs/libs/gnutls-2.10.1/include" --ldflags -L"D:/devel/emacs/libs/gnutls-2.10.1/lib"'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  my-keys-minor-mode: t
  erc-autojoin-mode: t
  erc-track-mode: t
  erc-match-mode: t
  erc-pcomplete-mode: t
  erc-stamp-mode: t
  global-auto-complete-mode: t
  gnus-undo-mode: t
  desktop-save-mode: t
  ido-everywhere: t
  yas/global-mode: t
  global-auto-revert-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t

Recent input:
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> M-d M-d M-d 
M-d M-d <left> <backspace> SPC a n d M-q <down> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <backspace> ? <right> 
M-d C-d <right> <right> <right> <right> <right> <right> 
t h e n SPC M-q <down> <down> <backspace> . <up> <up> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<up> <up> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <M-backspace> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> C-k <down> <down> <down> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <down> <down> . . <backspace> <backspace> <down> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <left> h <down> <down> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <left> 
<left> <left> , SPC b u t C-c C-c g <return> C-n C-n 
C-n C-n C-n C-n C-n C-n <return> C-p C-p C-p C-p C-p 
C-p C-p C-p <return> q g <down-mouse-1> <mouse-1> M-x 
r e p o r t - e <tab> <return>

Recent messages:
Checking new news...
nnimap read 0k
nnimap read 26k
Reading active file from archive via nnfolder...done
Checking new news...done
nnimap read 0k
Checking new news...
nnimap read 0k
Reading active file from archive via nnfolder...done
Checking new news...done

Load-path shadows:
c:/Users/Christoph/AppData/Roaming/.emacs.d/plugins/python hides d:/devel/emacs/emacs-bzr/trunk_jenkins/lisp/progmodes/python

Features:
(shadow emacsbug vc-bzr multi-isearch etags flow-fill vc-hg mailalias
smtpmail sendmail newcomment qp sort mule-util ansi-color gnus-cite
mail-extr gnus-async gnus-bcklg gnus-ml gnus-topic nndraft nnmh nnfolder
utf-7 gnutls network-stream auth-source eieio starttls nnimap parse-time
tls utf7 netrc gnus-agent gnus-srvr gnus-score score-mode nnvirtual
gnus-msg gnus-art mm-uu mml2015 epg-config mm-view mml-smime smime
password-cache dig mailcap nntp gnus-cache paredit org-wl org-w3m org-vm
org-rmail org-mhe org-mew org-irc org-jsinfo org-infojs org-html org-exp
ob-exp org-exp-blocks org-agenda org-info org-gnus org-docview
org-bibtex bibtex org-bbdb org byte-opt warnings bytecomp byte-compile
cconv ob-emacs-lisp ob-tangle ob-ref ob-lob ob-table org-footnote
org-src ob-comint ob-keys ob ob-eval org-pcomplete org-list org-faces
org-compat org-entities org-macs noutline outline cal-menu calendar
cal-loaddefs my-zenburn-theme erc-join erc-track erc-match erc-pcomplete
pcomplete erc-stamp erc-goodies erc erc-backend erc-compat thingatpt
windmove auto-complete-config auto-complete popup find-func ispell
bookmark+ bookmark+-key dired-x dired bookmark+-1 nnir gnus-sum macroexp
nnoo gnus-group gnus-undo nnmail mail-source gnus-start gnus-spec
gnus-int gnus-range message format-spec rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
mailabbrev gmm-utils mailheader gnus-win gnus gnus-ems nnheader
gnus-util mail-utils mm-util mail-prsvr wid-edit bookmark+-bmu help-mode
view bookmark+-lit pp+ bookmark+-mac bookmark pp midnight desktop
ibuffer uniquify autopair google-c-style cc-styles cc-align cc-engine
cc-vars cc-defs grep-o-matic grep compile comint regexp-opt ring
browse-kill-ring+ browse-kill-ring second-sel ido yasnippet
dropdown-list derived easy-mmode edmacro kmacro easymenu assoc cl
org-install server advice help-fns advice-preload debbugs-autoloads
package tabulated-list autorevert time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 disp-table ls-lisp w32-win w32-vars
tool-bar dnd fontset image fringe lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer button faces cus-face files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
multi-tty emacs)